package rtcservicelogic

import (
	"context"

	"im-rtc/internal/svc"
	"im-rtc/pb/rtc"

	"github.com/zeromicro/go-zero/core/logx"
)

type SignalSendCustomSignalLogic struct {
	ctx    context.Context
	svcCtx *svc.ServiceContext
	logx.Logger
}

func NewSignalSendCustomSignalLogic(ctx context.Context, svcCtx *svc.ServiceContext) *SignalSendCustomSignalLogic {
	return &SignalSendCustomSignalLogic{
		ctx:    ctx,
		svcCtx: svcCtx,
		Logger: logx.WithContext(ctx),
	}
}

// custom signal
func (l *SignalSendCustomSignalLogic) SignalSendCustomSignal(in *rtc.SignalSendCustomSignalReq) (*rtc.SignalSendCustomSignalResp, error) {
	// todo: add your logic here and delete this line

	return &rtc.SignalSendCustomSignalResp{}, nil
}
